#! /bin/bash
#
gray_min="-10.0"
white_min="0.0"
#
tmpfile="/tmp/sf+_check.$$.tmp"
cat > ${tmpfile}
#
status=`awk 'BEGIN {IGNORECASE = 1}
	/^Content-Type:/ {
	    if ($2 !~ "text/plain")
		print "nonplain"
	    exit}
	/^$/ {exit}' ${tmpfile}`
#
if [ "X$status" = "X" ]
then
    sfc=`sf_check.sh -w ${tmpfile}`
    status=`awk -v gray_min=${gray_min} -v white_min=${white_min} \
	-v sfc=${sfc} 'BEGIN {
	    if (sfc <= gray_min)
		print "black (" sfc ")"
	    else
		if (sfc <= white_min)
		    print "gray (" sfc ")"
		else
		    print "white (" sfc ")"}'`
fi
cat ${tmpfile} | formail -I "X-SF-Spam-Status: ${status}"
#
rm ${tmpfile}
# end
